{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>

  <!-- Basic Page Needs
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta charset="utf-8">
  <title>AlemHealth Report</title>
  <meta name="description" content="">
  <meta name="author" content="">

  <!-- Mobile Specific Metas
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- FONT
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link href="https://fonts.googleapis.com/css?family=Mr+Dafoe" rel="stylesheet">

  <!-- CSS
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
    {% block styles %}
        <link rel="stylesheet" href="{% static "report-2/images/signature.png" %}"/>
        <link rel="stylesheet" href="{% static "report-2/css/normalize.css" %}">
        <link rel="stylesheet" href="{% static "report-2/css/skeleton.css" %}">
        <link rel="stylesheet" href="{% static "report-2/css/report.css" %}">
    {% endblock %}

  <!-- Favicon
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <link rel="icon" type="image/png" href="{% static "report-2/images/favicon.png" %}">

  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/paper-css/0.3.0/paper.css">

  <style>@page { size: A4 }</style>
</head>
<body class="A4">

  <!-- Primary Page Layout
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
  <section class="sheet padding-10mm">

     
      <div class="letterhead row">
            <div class="twelve columns">
                    <div class="rad-report">Radiology Report</div>
            </div>
           
      </div>
      
    <div class="patient-table row">
        <div class="f1 six columns">
            <div>Patient Name: {{ study.patient_name }} ({{ study.patient_gender }}) </div>
            <div>Patient ID: {{ study.patient_id | default:'' }}</div>
            <div class="f1 ">Request:  {{ study.created_at |date:"D d M Y" }}</div>
        </div>
        <div class="f1 u-pull-left six columns">
            <div>Facility Name: {{ study.facility.name }}</div>
            <div>Accession ID: {{ study.accession_number | default:'' }}</div>
            <div class="f1">Reported:  {{ report.created_at |date:"D d M Y" }}</div>
        </div>
    </div>

    <hr>
    
    <div class="row">

      <div class="u-full-width report-procedure mt-1 mb-2">{{ report.procedure | safe }}</div>
      <div class="u-full-width u-pull-left f5">
         <b>Actionable Findings</b>
          <br>
            {{ report.actionable_findings | safe }}
          <br>
         <b>Findings</b>
          <br>
            {{ report.findings | safe }}
          <br>
          <b>Impression</b>
          <br>
            {{ report.impression | safe }}
          <br>

          <b>Comparison</b>
          <br>
            {{ report.comparison | safe }}
          <br>

          <b>Clinical Information</b>
          <br>
            {{ report.clinical_information | safe }}
          <br>

          <b>Technique</b>
          <br>
            {{ report.technique | safe }}
          <br>
      </div>
    </div>

    <div class="row">
      <div class="u-full-width u-pull-left">
          <div class="rectangle-3">
            <img class="ah-logo" src="{% static "report-2/images/AH-cropped.png" %}">
            {% if radiologist_signature %}
                <img class="signature" src="{{ radiologist_signature.url }}">
            {% else %}
                <div class="f3">{{ radiologist.first_name }} {{ radiologist.last_name }}</div>
            {% endif %}
            <div class="f4">Dr. {{ radiologist.first_name }} {{ radiologist.last_name }}</div>
            <div class="f4">Electronically signed on {{ report.signed_at |date:"D d M Y H:i" }}</div>
            <div class="f4"><strong>SHA256:</strong>4F7B517451DD1203AF7F04883DA3ED48E27BFD0009F63401D5F357B192E0A2D7</div>
          </div>
    </div>
    </div>

    <footer>
        <hr>
        {% if destination_facility %}
        <div class="row">
            <div class="two columns">
                <div class="rectangle-4">
                  {% if destination_facility.logo %}
                    <img class="dest-facility-logo" src="{{ destination_facility.logo.url }}">
                  {% endif %}
                </div>
           </div>
          <div class="seven columns">
              <div class="u-pull-left">
                  <div class="f1">Reported by {{ destination_facility.name }}: <br>
                  {% if destination_facility.address1 %}
                      {{ destination_facility.address1 }}
                  {% endif %}
                  {% if destination_facility.address2 %}
                      {{ destination_facility.address2 }}<br/>
                  {% endif %}
                  {% if destination_facility.city %} {{ destination_facility.city }} {% endif %}
                  {% if destination_facility.state %} {{ destination_facility.state }} {% endif %}
                  {% if destination_facility.country %} {{ destination_facility.country }} | {% endif %}
                  {% if destination_facility.phone %} Phone: {{ destination_facility.phone }} {% endif %}
                  <br/>
                  </div>
              </div>
          </div>
          <div class="u-pull-right">
              <div class="f1">
                  Page 1/1
              </div>
          </div>
        </div>
        {% endif %}
    </footer>
    
  
  </section>
<!-- End Document
  –––––––––––––––––––––––––––––––––––––––––––––––––– -->
</body>
</html>
